-X PATCH 'https://api.rzp.<bank>.com/v1/upi/tpap/upi_number' \
-u [YOUR_KEY_ID]:[YOUR_SECRET] \
-H "Content-Type: application/json" \
-H "x-device-fingerprint: <device_fingerprint>" \
-H "x-device-fingerprint-timestamp: 1496918882000" \
-H "x-customer-reference: cust_ref" \
-d '{
"upi_number": "1234567890",
"vpa": "newuser@upi",
"action": "change_vpa",
"consent": true
}'
{
"entity": "upi_number",
"upi_transaction_id": "123qwert12",
"upi_number": "1234567890",
"type": "mobile",
"status": "active",
"vpa": "gaurav.kumar@exampleupi"
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "Consent is mandatory",
"source": "internal",
"step": "",
"reason": "user consent must be true",
"field": "consent",
"metadata": null
}
}
Update UPI Number
Update, deactivate, deregister, or activate a UPI Number.
PATCH
/
v1
/
upi
/
tpap
/
upi_number
-X PATCH 'https://api.rzp.<bank>.com/v1/upi/tpap/upi_number' \
-u [YOUR_KEY_ID]:[YOUR_SECRET] \
-H "Content-Type: application/json" \
-H "x-device-fingerprint: <device_fingerprint>" \
-H "x-device-fingerprint-timestamp: 1496918882000" \
-H "x-customer-reference: cust_ref" \
-d '{
"upi_number": "1234567890",
"vpa": "newuser@upi",
"action": "change_vpa",
"consent": true
}'
{
"entity": "upi_number",
"upi_transaction_id": "123qwert12",
"upi_number": "1234567890",
"type": "mobile",
"status": "active",
"vpa": "gaurav.kumar@exampleupi"
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "Consent is mandatory",
"source": "internal",
"step": "",
"reason": "user consent must be true",
"field": "consent",
"metadata": null
}
}
Available in🇮🇳 India
Use this endpoint to change VPA, deactivate, deregister, or activate an existing UPI number.
-X PATCH 'https://api.rzp.<bank>.com/v1/upi/tpap/upi_number' \
-u [YOUR_KEY_ID]:[YOUR_SECRET] \
-H "Content-Type: application/json" \
-H "x-device-fingerprint: <device_fingerprint>" \
-H "x-device-fingerprint-timestamp: 1496918882000" \
-H "x-customer-reference: cust_ref" \
-d '{
"upi_number": "1234567890",
"vpa": "newuser@upi",
"action": "change_vpa",
"consent": true
}'
{
"entity": "upi_number",
"upi_transaction_id": "123qwert12",
"upi_number": "1234567890",
"type": "mobile",
"status": "active",
"vpa": "gaurav.kumar@exampleupi"
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "Consent is mandatory",
"source": "internal",
"step": "",
"reason": "user consent must be true",
"field": "consent",
"metadata": null
}
}
Request Parameters
string
required
The UPI number to be updated.
string
required
VPA to which the number is mapped.
string
required
Action to be performed on UPI number. Possible values:
change_vpainactivatederegisteractivate
boolean
required
Consent of the user to update the UPI number.
true: The user has given the consent.false: The user has not given the consent.
Response Parameters
string
Collection of entity. Here it is
upi_number.string
Unique transaction id created by the originator.
string
Unique id mapped to the customer’s VPA.
string
Type of number. For example, mobile or numeric.
string
Status of the UPI number. Possible values:
activeinactivederegistered
string
VPA linked to the UPI number.
Was this page helpful?